<template>
  <v-dialog
    v-model="show"
    width="350"
  >
    <v-card class="chat-group-details-dialog-content">
      <v-card-title class="grey lighten-2">
        <div class="d-flex flex-column flex-grow-1">
          <div class="d-flex align-baseline">
            <div class="flex-grow-1 font-weight-regular">
              Group Details
            </div>
            <v-btn
              icon
              class="btn-close"
              @click="show = false"
            >
              <v-icon>mdi-close</v-icon>
            </v-btn>
          </div>
          <div
            class="chat-group-title mt-3"
            :title="group.name"
          >
            {{ group.name }}
          </div>
        </div>
      </v-card-title>

      <v-list>
        <v-list-item
          link
          class="px-6"
        >
          <v-list-item-title
            class="red--text text--lighten-2"
            @click.stop="leaveGroup"
          >
            Leave Group
          </v-list-item-title>
        </v-list-item>
      </v-list>
    </v-card>
  </v-dialog>
</template>

<script>
export default {
  props: {
    value: Boolean,
    group: {
      type: Object,
      default: null,
    },
  },
  computed: {
    show: {
      get() {
        return this.value;
      },
      set(value) {
        this.$emit("input", value);
      },
    },
  },
  methods: {
    leaveGroup() {
        this.show = false;
        this.$emit("leave-group");
    },
  },
};
</script>

<style>
.chat-group-details-dialog-content .btn-close {
  position: relative;
  left: 10px;
}

.chat-group-details-dialog-content .chat-group-title {
  max-width: 250px;
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
}
</style>
